unit rmndme2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, Buttons;

type
  TForm2 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Label3: TLabel;
    Edit2: TEdit;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    GroupBox1: TGroupBox;
    DateTimePicker1: TDateTimePicker;
    ComboBox1: TComboBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    ComboBox2: TComboBox;
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

uses rmndme1;

{$R *.DFM}

procedure TForm2.FormShow(Sender: TObject);
begin
   // Set Non-Year Specific Combo Boxes to Jan. 1 and set DateTimePicker to
   // todays date.
   Combobox1.ItemIndex := 0;
   Combobox2.ItemIndex := 0;
   DateTimePicker1.Date := Now;
end;

procedure TForm2.BitBtn1Click(Sender: TObject);
var
   Year, Month, Day: String;
   Year1, Month1, Day1: Word;
   F1: TextFile;
   NewDate, NewItem: String;
begin
   // If non-year specific information do this.
   if RadioButton1.Checked = True then
   begin
        // Setup the string to be written to file.
        Month1 := ComboBox1.ItemIndex + 1;
        if Month1 < 10 then Month := '0' + IntToStr(Month1);
        if Month1 > 9 then Month := IntToStr(Month1);
        Day := ComboBox2.Items.Strings[ComboBox2.ItemIndex];
        Year := '     ';
        NewDate := Month + '/' + Day + Year;
        NewItem := NewDate + ' ' + Edit1.Text + '  ' + Edit2.Text;
        // Open REMINDME.DAT and write the new information.
        AssignFile(F1, Form1.DatFile);
        if FileExists(Form1.DatFile) then Append(F1);
        if not FileExists(Form1.DatFile) then ReWrite(F1);
        WriteLn(F1);
        WriteLn(F1, NewItem);
        CloseFile(F1);
   end;
   // If year specific information do this.
   if RadioButton2.Checked = True then
   begin
        // Setup the string to be written to file.
        DecodeDate(DateTimePicker1.Date, Year1, Month1, Day1);
        if Month1 < 10 then Month := '0' + IntToStr(Month1);
        if Month1 > 9 then Month := IntToStr(Month1);
        if Day1 < 10 then Day := '0' + IntToStr(Day1);
        if Day1 > 9 then Day := IntToStr(Day1);
        Year := IntToStr(Year1);
        NewDate := Month + '/' + Day + '/' + Year;
        NewItem := NewDate + ' ' + Edit1.Text + '  ' + Edit2.Text;
        // Open REMINDME.DAT and write the new information.
        AssignFile(F1, Form1.DatFile);
        if FileExists(Form1.DatFile) then Append(F1);
        if not FileExists(Form1.DatFile) then ReWrite(F1);
        WriteLn(F1);
        WriteLn(F1, NewItem);
        CloseFile(F1);
   end;
   // Reload reminder list boxes (Today's and All)
   Form1.ChkAll(Form2);
   Form1.ChkToday(Form2);
   Form2.Close;
end;

procedure TForm2.BitBtn2Click(Sender: TObject);
begin
   Form2.Close;
end;

procedure TForm2.ComboBox1Change(Sender: TObject);
var
   i: Integer;
   numdys: Integer;
begin
   numdys:=0;
   // Set the number of days for each month.
   if ComboBox1.ItemIndex = 0 then numdys := 31;
   if ComboBox1.ItemIndex = 1 then numdys := 29;
   if ComboBox1.ItemIndex = 2 then numdys := 31;
   if ComboBox1.ItemIndex = 3 then numdys := 30;
   if ComboBox1.ItemIndex = 4 then numdys := 31;
   if ComboBox1.ItemIndex = 5 then numdys := 30;
   if ComboBox1.ItemIndex = 6 then numdys := 31;
   if ComboBox1.ItemIndex = 7 then numdys := 31;
   if ComboBox1.ItemIndex = 8 then numdys := 30;
   if ComboBox1.ItemIndex = 9 then numdys := 31;
   if ComboBox1.ItemIndex = 10 then numdys := 30;
   if ComboBox1.ItemIndex = 11 then numdys := 31;
   // Put them in the Day combo box.
   ComboBox2.Clear;
   for i := 1 to numdys do
   begin
        if i < 10 then ComboBox2.Items.Add('0'+IntToStr(i));
        if i > 9 then ComboBox2.Items.Add(IntToStr(i));
   end;
   ComboBox2.ItemIndex := 0;
end;

procedure TForm2.RadioButton1Click(Sender: TObject);
begin
   ComboBox1.Enabled := True;
   ComboBox2.Enabled := True;
   DateTimePicker1.Enabled := False;
end;

procedure TForm2.RadioButton2Click(Sender: TObject);
begin
   ComboBox1.Enabled := False;
   ComboBox2.Enabled := False;
   DateTimePicker1.Enabled := True;
end;

end.
