unit rmndme4;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, checklst;

type
  TForm4 = class(TForm)
    CheckListBox1: TCheckListBox;
    GroupBox1: TGroupBox;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    CheckListBox2: TCheckListBox;
    Label1: TLabel;
    procedure BitBtn2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure CheckListBox1Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form4: TForm4;

implementation

uses rmndme1, rmndme2;

{$R *.DFM}


procedure TForm4.FormShow(Sender: TObject);
begin
     Form1.ReadSet(Form4);
     Form1.ChkAll(Form4);
end;

procedure TForm4.BitBtn1Click(Sender: TObject);
begin
     Form2.ShowModal;
end;

procedure TForm4.BitBtn2Click(Sender: TObject);
var
   F1, F2: TextFile;
   Tmp, ItmRemove: String;
begin
   // Make sure it has the newest settings read in.
   Form1.ReadSet(Form1);

   // If no item is selected, tell the user to select one.
   if CheckListBox1.ItemIndex = -1 then ShowMessage('You must select an item first.');

   if CheckListBox1.ItemIndex > -1 then
   begin
        // If Confirm Delete is set in options, confirm.
        if (Form1.SetCnfrm = 'True') and
        (messagebox(0,'Are you sure you want to remove this item?', 'Confirm Delete', 4) = 6) or
        (Form1.SetCnfrm = 'False') then
        begin
             // Set the item to be removed and open REMINDME.DAT and TEMP.FIL.
             ItmRemove := Form4.CheckListBox1.Items.Strings[Form4.CheckListBox1.ItemIndex] + '  ' + Form4.CheckListBox2.Items.Strings[Form4.CheckListBox2.ItemIndex];
             AssignFile(F1, Form1.DatFile);
             AssignFile(F2, 'Temp.Fil');
             Reset(F1);
             ReWrite(F2);
             // Until EOF read a line from REMINDME.DAT, make sure it isn't the
             // item the user is removing, and write the line to TEMP.FIL.
             While Not EOF(F1) Do
             begin
                  ReadLn(F1, Tmp);
                  if Tmp <> ItmRemove then WriteLn(F2, Tmp);
             end;
             // Finish up. (Copy TEMP.FIL back to REMINDME.DAT since it does not
             // contain the line the user wanted to remove.
             closefile(F1);
             closefile(F2);
             DeleteFile(Form1.DatFile);
             CopyFile('TEMP.FIL', PChar(Form1.DatFile), False);
             DeleteFile('TEMP.FIL');
             // Reload Listbox
             Form1.ChkAll(Form4);
             Form1.ChkToday(Form4);
        end;
   end;
end;

procedure TForm4.BitBtn3Click(Sender: TObject);
begin
     Form4.Close;
end;

procedure TForm4.CheckListBox1Click(Sender: TObject);
begin
     Form4.CheckListBox2.ItemIndex:=Form4.CheckListBox1.ItemIndex;
     Form4.Label1.Caption:=Form4.CheckListBox2.Items.Strings[Form4.CheckListBox2.ItemIndex];
end;

end.
