unit rmndme5;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Registry;

type
  TForm5 = class(TForm)
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    Label1: TLabel;
    ComboBox1: TComboBox;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form5: TForm5;

implementation

uses rmndme1;

{$R *.DFM}

procedure TForm5.FormShow(Sender: TObject);
begin
   Form1.ReadSet(Form5);
   if Form1.SetCnfrm = 'True' then CheckBox1.Checked := True;
   if Form1.SetCnfrm = 'False' then CheckBox1.Checked := False;
   if Form1.SetAdv = 'True' then CheckBox2.Checked := True;
   if Form1.SetAdv = 'False' then CheckBox2.Checked := False;
   ComboBox1.ItemIndex := Form1.SetDIA - 1;
end;

procedure TForm5.BitBtn2Click(Sender: TObject);
begin
     Form5.Close;
end;

procedure TForm5.CheckBox2Click(Sender: TObject);
begin
     if CheckBox2.Checked = True then ComboBox1.Enabled := True;
     if CheckBox2.Checked = False then ComboBox1.Enabled := False;
end;

procedure TForm5.BitBtn1Click(Sender: TObject);
var
   IniFile: TRegistry;
begin
   IniFile:= TRegistry.Create;
   IniFile.LazyWrite := False;
   try
      IniFile.OpenKey('Software\Remindme', True);
      if CheckBox1.Checked = True then IniFile.WriteString('Confirm', 'True');
      if CheckBox1.Checked = False then IniFile.WriteString('Confirm', 'False');
      if CheckBox2.Checked = True then IniFile.WriteString('Advance', 'True');
      if CheckBox2.Checked = False then IniFile.WriteString('Advance', 'False');
      IniFile.WriteInteger('DIAdv', ComboBox1.ItemIndex +1);
   finally
      IniFile.Free;
   end;
   Form1.ReadSet(Form5);
   Form1.ChkToday(Form5);
   Form5.Close;
end;

end.
